#!/bin/ksh
more LICENSE
echo
echo "Installation script for Confman 2.0"
echo
#echo "Press [ENTER] to start installation"
#read dummy

if [ -z $HOME ]; then
  echo "HOME is not defined. Installation aborted!"
  exit 1
fi

if [ ! -d $HOME/confman ]; then
  mkdir $HOME/confman
fi

echo "Probing Java Execution Environment..."
type java >/dev/null 2>&1
if [ $? -ne 0 ]; then
  PATH=/usr/java/bin:$PATH
  export PATH
  type java >/dev/null 2>&1
  if [ $? -ne 0 ]; then
    echo "Unable to find Java Execution Environment. Aborting Setup."
    exit 2;
  fi
fi
JAVA_VERSION=`java -version 2>&1 |sed -e 's/^.*(//' |sed -e 's/).*$//'`
if [ "$JAVA_VERSION" = "Sun 1.1.6" ]; then
  echo "Java version is good."
else 
  if [ "$JAVA_VERSION" = "Sun 1.0.2" ]; then
    echo "Your Java version is too old. Aborting installation."
    java -version
    exit 3;
  else
    echo "Your java version might work. Good Luck."
  fi
fi

if [ $JAVA_COMPILER ]; then
  unset JAVA_COMPILER
fi

echo "Opening installation window..."

CLASSPATH=$CLASSPATH:.:Setup.jar:ui.jar:swingall.jar
export CLASSPATH
PATH=.:$PATH
java Setup
echo Done.
